---
title: "Pagamento online"
description: "GET /v1/store/merchants/:merchantId/delivery/online-payments — configuração de Pix e cartão online."
method: "GET"
path: "/v1/store/merchants/{merchantId}/delivery/online-payments"
url: "https://developer.beefood.com.br/docs/loja/pagamento-online"
group: "Restaurante"
scope: "store:read"
lang: "pt"
---
# Pagamento online

`GET /v1/store/merchants/{merchantId}/delivery/online-payments`

- Produção: `https://api.beefood.app/v1/store/merchants/{merchantId}/delivery/online-payments`
- Sandbox: `https://api-sandbox.beefood.app/v1/store/merchants/{merchantId}/delivery/online-payments`

Retorna a configuração de pagamento online do cardápio.

## Autenticação

Envie o access token no header `Authorization: Bearer <accessToken>`. Escopo necessário: `store:read`. Limite: 100 requisições a cada 3 minutos.


## Parâmetros de path

- `merchantId` *integer* **obrigatório** — ID do cardápio. Exemplo: `39202`.





## Exemplos de requisição

### cURL

```bash
curl -X GET "https://api.beefood.app/v1/store/merchants/{merchantId}/delivery/online-payments" \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```


## Exemplos de resposta

### 200 OK

```json
{
  "storeId": 38311,
  "merchantId": 39202,
  "pix": {
    "enabled": true,
    "feePercent": 0.8,
    "adjustment": {
      "mode": "discount",
      "unit": "percent",
      "value": 5
    }
  },
  "creditCard": {
    "enabled": true
  }
}
```


## Campos da resposta

- `storeId` *number* — ID do restaurante.

- `merchantId` *number* — ID do cardápio.

- `pix.enabled` *boolean* — Indica se esta forma está habilitada.

- `pix.feePercent` *number* — Percentual de taxa

- `pix.adjustment` *object* — Desconto ou acréscimo aplicado.

- `creditCard.enabled` *boolean* — Indica se esta forma está habilitada.

- `creditCard.adjustment` *object* — Desconto ou acréscimo aplicado.



## Erros

| Status | Mensagem |
| --- | --- |
| 401 | Authentication token is missing |
| 401 | Invalid or expired access token |
| 403 | This credential does not include the store:read scope |
| 404 | Merchant ID 99 not found |


